io.etcd.jetcd.op

## Class Op.GetOp

- java.lang.Object
- - io.etcd.jetcd.op.Op
  - - io.etcd.jetcd.op.Op.GetOp

Enclosing class:
  Op

    public static final class Op.GetOp
    extends Op

### Nested Class Summary

### Nested classes/interfaces inherited from class io.etcd.jetcd.op.Op

`Op.DeleteOp, Op.GetOp, Op.PutOp, Op.TxnOp, Op.Type`

### Field Summary

### Fields inherited from class io.etcd.jetcd.op.Op

`key, type`

### Constructor Summary

Constructors
`protected` `GetOp(com.google.protobuf.ByteString key, GetOption option)`

### Method Summary

### Methods inherited from class io.etcd.jetcd.op.Op

`delete, get, put, txn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GetOp

    protected GetOp(com.google.protobuf.ByteString key,
                    GetOption option)